{% extends "base.html" %}
{% load vstatic %}

{% block includes %}
    <link rel="stylesheet" type="text/css" href="{% vstatic 'main/datatables/datatables.css' %}"/>
{% endblock %}

{% block includes_footer %}
    <script type="text/javascript" src="{% vstatic 'main/datatables/datatables.js'%}"></script>
    <script type="text/javascript" src="{% vstatic 'main/datatables/plugins/intl.js'%}"></script>
{% endblock %}


{% block content %}

    <table class="table table-bordered table-striped table-condensed" id="territorios-table">
        <thead>
        <tr>
            <th>Território</th>
            <th>Status</th>
            <th>Fundação</th>
            <th>Famílias</th>
            <th>Município</th>
            <th>Est.</th>
            <th>Tipos</th>
            <th>Áreas de Uso</th>
            <th>Conflitos</th>
            <th>Última Alteração</th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th>Território</th>
            <th>Status</th>
            <th>Fundação</th>
            <th>Famílias</th>
            <th>Município</th>
            <th>Est.</th>
            <th>Tipos</th>
            <th>Áreas de Uso</th>
            <th>Conflitos</th>
            <th>Última Alteração</th>
        </tr>
        </tfoot>
    </table>
    <script>
        $(document).ready(function() {
            var searchParams = new URLSearchParams(window.location.search)
            var table = $("#territorios-table").DataTable({
                ajax: {
                    url: '/relatorios/api/territorios',
                    dataSrc: '',
                    complete: () => {
                        $("#territorios-table tfoot th").each( function ( i ) {
                            var select = $('<select><option value=""></option></select>')
                                .appendTo( $(this).empty() )
                                .on( 'change', function () {
                                    var val = $(this).val();

                                    table.column( i )
                                        .search( val ? $(this).val() : val, true, false )
                                        .draw();
                                } );

                            table.column( i ).data().map((x) => {
                                if (x!= null)
                                {
                                    if (typeof(x)=='string')
                                    {
                                        return x.split(', ');
                                    }
                                    return x;
                                }
                            }).flatten().unique().sort().each( function ( d, j ) {
                                if (d != null) {
                                    select.append( '<option value="'+d+'">'+d+'</option>' );
                                }
                            } );

                            var columnLabel = table.column(i).dataSrc();
                            if (searchParams.has(columnLabel)) {
                                select.val(searchParams.get(columnLabel));
                                select.change()
                            }
                        } );
                    }

                },
                columns: [
                    { data: 'nome', render: (data, type, row, meta) => {
                            if (type === 'display') {
                                data = '<a href="/territorio/detail/'+row.id.toString()+'/">' + data + '</a>';
                            }

                            return data;
                        }
                    },
                    { data: 'status_nome' },
                    { data: 'ano_fundacao' },
                    { data: 'qtde_familias' },
                    { data: 'municipio_nome' },
                    { data: 'estado_uf' },
                    { data: 'tipos_comunidade' },
                    { data: 'tipos_areas_de_uso' },
                    { data: 'tipos_conflitos' },
                    { data: 'ultima_alteracao', render: $.fn.dataTable.render.intlDateTime("pt-BR") },

                ],
                language: {
                    url: '{% vstatic '/main/datatables/i18n/pt_br.json' %}'
                }
            });
        });
    </script>

{% endblock %}